

#build 8600 mag tape loopback test
#
#to make test type:  make -f maketst

CFLAGS =  -v -S
UCODE  = uc86d

tst360: $(UCODE).o  tst360.o cioasm.o kiwisubs.o kdsio.o
	ld -LT 3000 tst360.o kiwisubs.o kdsio.o cioasm.o $(UCODE).o -o tst360.bin
	cp tst360.bin tst360.sbin
	strip tst360.sbin
	nm tst360.bin > tst360.map
	hex tst360.bin > tst360.sr
	touch tst360.sr

tst360.o: tst360.c
	cc -v -S tst360.c
	as -o tst360.o -l tst360.s

kiwisubs.o: kiwisubs.c
	cc -v -S kiwisubs.c
	as -o kiwisubs.o -l kiwisubs.s

kdsio.o: kdsio.c
	cc -v -S kdsio.c
	as -o kdsio.o -l kdsio.s

$(UCODE).o: $(UCODE).c
	cc -v -S $(UCODE).c
	as -o $(UCODE).o -l $(UCODE).s

cioasm.o: cioasm.s
	asm68 -o cioasm.o -l cioasm.s

load:
	cat tst360.sr > /dev/tty6
/*  */